/**
 * Enum representing Amazon Bedrock embedding models for text transformation into vector embeddings.
 * These embeddings can be used for semantic search, text similarity comparison, and other NLP tasks.
 *
 * Members:
 * - BEDROCK_AMAZON_TITAN_EMBED_TEXT_V2: Represents the Amazon Titan Embedding Text V2 model,
 *   identified by 'amazon.titan-embed-text-v2:0', which transforms text into numerical vectors
 *   that capture semantic meaning.
 */
export declare enum BedrockEmbeddingModel {
    BEDROCK_AMAZON_TITAN_EMBED_TEXT_V2 = 'amazon.titan-embed-text-v2:0',
}