import { BedrockLlm } from './bedrock-llm';

/**
 * Parameters for Claude's thinking feature
 */
export type ClaudeThinkingParams = {
    /** Whether to enable the thinking feature */
    enabled: boolean;
    /** Number of tokens to allocate for the thinking budget */
    budgetTokens?: number;
};

/**
 * Additional arguments specific to Claude models
 */
export type ClaudeAdditionalArgs = {
    /** Configuration for Claude's thinking capability */
    thinking: ClaudeThinkingParams;
};

/**
 * API client for Anthropic Claude models on AWS Bedrock
 * Extends the base BedrockLlm with Claude-specific functionality
 */
export class ClaudeLlm extends BedrockLlm<ClaudeAdditionalArgs> {}
